diff --git a/web/pgadmin/static/css/overrides.css b/web/pgadmin/static/css/overrides.css
index 4dcff33..770eac4 100755
--- a/web/pgadmin/static/css/overrides.css
+++ b/web/pgadmin/static/css/overrides.css
@@ -662,6 +662,10 @@ table.backgrid tr.new {
     margin-right: 0px;
 }
 
+.subnode-error .help-block {
+    color: #a94442;
+}
+
 .select2-container--default .select2-search--inline .select2-search__field {
     background: transparent none repeat scroll 0% 0%;
     border: medium none;
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 66d8dab..cabfd53 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1039,6 +1039,11 @@
 
       return $dialog;
     },
+    clearInvalid: function() {
+      this.$el.removeClass("subnode-error");
+      this.$el.find(".pgadmin-control-error-message").remove();
+      return this;
+    },
     updateInvalid: function() {
       var self = this,
       errorModel = this.model.errorModel;
@@ -1052,7 +1057,7 @@
 
         if (_.isEmpty(error)) return;
 
-        self.$el.addClass(Backform.errorClassName).append(
+        self.$el.addClass("subnode-error").append(
           $("<div></div>").addClass('pgadmin-control-error-message col-xs-offset-4 col-xs-8 help-block').text(error)
           );
       });
@@ -1108,10 +1113,15 @@
 
       if (_.isEmpty(error)) return;
 
-      self.$el.addClass(Backform.errorClassName).append(
+      self.$el.addClass('subnode-error').append(
         $("<div></div>").addClass('pgadmin-control-error-message col-xs-offset-4 col-xs-8 help-block').text(error)
         );
     },
+    clearInvalid: function() {
+      this.$el.removeClass('subnode-error');
+      this.$el.find(".pgadmin-control-error-message").remove();
+      return this;
+    },
     showGridControl: function(data) {
       var gridHeader = ["<div class='subnode-header'>",
           "  <label class='control-label col-sm-4'>" + data.label + "</label>" ,
